Bug 521240 - Review Request: maven-plugin-bundle - Maven Bundle Plugin
Summary: Review Request: maven-plugin-bundle - Maven Bundle Plugin
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andrew Overholt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 486360
TreeView+ depends on / blocked
 
Reported: 2009-09-04 13:40 UTC by Alexander Kurtakov
Modified: 2009-09-10 07:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-10 07:49:46 UTC
overholt: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Alexander Kurtakov 2009-09-04 13:40:53 UTC
Spec URL: http://akurtakov.fedorapeople.org/maven-plugin-bundle.spec
SRPM URL: http://akurtakov.fedorapeople.org/maven-plugin-bundle-2.0.0-1.fc11.src.rpm
Description: Provides a maven plugin that supports creating an OSGi bundle
from the contents of the compilation classpath along with its
resources and dependencies. Plus a zillion other features.

Comment 1 Andrew Overholt 2009-09-04 18:50:04 UTC
X won't build (needs additional BRs -- see http://overholt.fedorapeople.org/maven-plugin-bundle.spec)
X probably needs Requires fixed up to match or be similar to BRs
X the last sentence of the description should be removed.
X files good except for %{_javadir} line ... %{_javadir}/*, perhaps?

- sources ok (md5sums match)
- licensing fine
- naming fine
- lines <= 80 where possible
- macros good, clean used appropriately
- rpmlint fine:

$ rpmlint /home/overholt/rpmbuild/SRPMS/maven-plugin-bundle-2.0.0-1.fc11.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint /home/overholt/rpmbuild/RPMS/noarch/maven-plugin-bundle-2.0.0-1.fc11.noarch.rpm
maven-plugin-bundle.noarch: W: no-documentation
maven-plugin-bundle.noarch: W: non-conffile-in-etc /etc/maven/fragments/maven-plugin-bundle
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

$ rpmlint /home/overholt/rpmbuild/RPMS/noarch/maven-plugin-bundle-javadoc-2.0.0-1.fc11.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 2 Alexander Kurtakov 2009-09-07 14:36:08 UTC
(In reply to comment #1)
> X won't build (needs additional BRs -- see
> http://overholt.fedorapeople.org/maven-plugin-bundle.spec)
Thanks, Fixed.
> X probably needs Requires fixed up to match or be similar to BRs
Fixed. Maven plugins are needed only at build time.
> X the last sentence of the description should be removed.
Fixed.
> X files good except for %{_javadir} line ... %{_javadir}/*, perhaps?
> 
Fixed.

New sources:
Spec URL: http://akurtakov.fedorapeople.org/maven-plugin-bundle.spec
SRPM URL:
http://akurtakov.fedorapeople.org/maven-plugin-bundle-2.0.0-2.fc11.src.rpm

Comment 3 Andrew Overholt 2009-09-08 12:56:06 UTC
Looks good.  Approved.

Comment 4 Alexander Kurtakov 2009-09-08 18:06:45 UTC
New Package CVS Request
=======================
Package Name: maven-plugin-bundle
Short Description: Maven Bundle Plugin
Owners: akurtakov
Branches: 
InitialCC:

Comment 5 Dennis Gilmore 2009-09-09 15:43:06 UTC
CVS Done

Comment 6 Alexander Kurtakov 2009-09-10 07:49:46 UTC
Build in rawhide.


Note You need to log in before you can comment on or make changes to this bug.